### Method

# FwupdPlugin Device get_proxy_with_fallback

#### Declaration [src]

    FuDevice*
    fu_device_get_proxy_with_fallback (
      FuDevice* self
    )

#### Description [src]

Gets the proxy device if `FU_DEVICE_PRIVATE_FLAG_USE_PROXY_FALLBACK` is set, falling back to the device itself.

Available since: | 1.6.2

#### Return value

Returns: | `FuDevice`
| A device.
| The data is owned by the instance.